[bt-devel] compilation error. Ambiguous function call.

Motoki Nishii bt-devel@crosswire.org
Fri, 19 Mar 2004 14:08:59 -0800


Thanks Joachim,
    That error seems to be fixed. However, now I am getting ths following 
error:

/usr/lib/gcc-lib/i386-linux/2.95.4/../../../../include/g++-3/stl_pair.h: In 
method `pair<char[10],sword::SWBuf>::pair(const char (&)[10], const 
sword::SWBuf &)':
/usr/lib/gcc-lib/i386-linux/2.95.4/../../../../include/g++-3/stl_pair.h:68:  
  instantiated from `make_pair<char[10], sword::SWBuf>(const char (&)[10], 
const sword::SWBuf &)'
btinstallmgr.cpp:179:   instantiated from here
/usr/lib/gcc-lib/i386-linux/2.95.4/../../../../include/g++-3/stl_pair.h:44: 
incompatible types in assignment of `const char[10]' to `char[10]'

Is this because I have an older compiler? Thanks for your help.



>From: Joachim Ansorg <junkmail@joachim.ansorgs.de>
>Reply-To: bt-devel@crosswire.org
>To: bt-devel@crosswire.org
>Subject: Re: [bt-devel] compilation error. Ambiguous function call.
>Date: Fri, 19 Mar 2004 10:51:27 +0100
>
>-----BEGIN PGP SIGNED MESSAGE-----
>Hash: SHA1
>
>Hi,
>I think this is caused by an older compiler on Woody and unclean code in 
>BT.
>
>Copy the attached file to bibletime/backend/ and compile again. I hop it
>works.
>
>Let me know,
>Joachim
>
> > I have libsword version 1.5.7-2 with bt 1.4.1-1 on debian. I get the
> > following error when I try to bibletime
> > on debian system. Do you know why this is?
>
>
>
>- --
><>< Re: deemed!
>-----BEGIN PGP SIGNATURE-----
>Version: GnuPG v1.2.2 (GNU/Linux)
>
>iD8DBQFAWsKjEyRIb2AZBB0RAh+5AJ9sgtGEa/2QKtBa0KgW7Rg5l/qpGACfT3Vc
>BJpb3rasP/r2OfbhsJREtrM=
>=BtAc
>-----END PGP SIGNATURE-----
><< cswordbackend.cpp >>

_________________________________________________________________
Get tax tips, tools and access to IRS forms  all in one place at MSN Money! 
http://moneycentral.msn.com/tax/home.asp